︠a80ceb39-dd93-41c6-9423-a51ed483c9e0︠
# In this worksheet, we will be finding the area between two curves using concepts learned in Calculus. 

# Sketch the graph of the curve f(x) = 6 - x ^ 2
plot( 6 - x ^ 2 , -10, 10 )
︡81725852-ef56-49f7-b9ed-a2fae801d59a︡{"file":{"filename":"/projects/ae72b729-f5d1-4022-bd41-657d925ed916/.sage/temp/compute7-us/4557/tmp_SgCy4R.svg","show":true,"uuid":"9a62617a-f470-4ab1-822c-02460a6fec3a"},"once":false}︡{"done":true}
︠3bb0bd4a-3094-4511-87a8-7e495620c157︠
# On the same plane, sketch the curve above and f(x) = -10
plot ( 6 - x ^ 2, -10, 10 ) + plot ( -10 , -10, 10, color='red' ) 
︡1d4413ac-9430-4a15-816d-0f616f9e4916︡{"file":{"filename":"/projects/ae72b729-f5d1-4022-bd41-657d925ed916/.sage/temp/compute7-us/15917/tmp_EXj5Vj.svg","show":true,"uuid":"a0e331b8-99ef-4fb3-8624-1819f6278ff6"},"once":false}︡{"done":true}
︠3f62b997-d63e-4c7d-8857-32947d274512︠
# To find the area between the curves, we will have to determine where the curves intersect. These intersection points will become our interval for integration.
solve ( 6 - x ^ 2 == -10 , x )
︡14751c65-a76f-4a61-80e9-f07ccd1411d8︡{"stdout":"[x == -4, x == 4]\n"}︡{"done":true}
︠e391fcab-5a41-4e19-badf-37c062221838︠
# Now, we are going to integrate to find the area. 
# The formula for the area between to curves is int(upper)dx - int(lower)dx (bounded by the appropriate interval)
from sage.symbolic.integration.integral import definite_integral
definite_integral( 6 - x ^ 2 , x , -4 , 4 ) - definite_integral ( -10 , x , -4 , 4 )
︡5edff0b1-844d-43e7-b8cb-20d32bf7a500︡{"stdout":"256/3\n"}︡{"done":true}
︠be7603bb-8ecd-4b96-a772-c39142770df9︠
# The solution to the definite integral, 256/3, is the area between the two curves. 



integral ( 6 - x ^ 2 , x ) - integral ( -10 , x)
︡a629b074-cc68-49bd-9e69-638782cb12aa︡{"stdout":"-1/3*x^3 + 16*x\n"}︡{"done":true}
︠a20ec402-558c-480c-9dac-8e36ac9f9057︠

# In my research for computing integrals in Sage, I found the computations below as a quick way to find all of the information we found above. I wanted to go through the steps one-by-one and then lay out the following as an alternative method.

b= 6 - x^2
r= -10
e=solve(b==r,x)
print "Points of intersection"
print e
d=integrate(b-r,-4,4)
print "Area under two curves is:"
print d

︡18740dd3-2592-4924-975c-e8074a145425︡{"stdout":"Points of intersection\n"}︡{"stdout":"[\nx == -4,\nx == 4\n]\n"}︡{"stdout":"Area under two curves is:\n"}︡{"stdout":"256/3\n"}︡{"done":true}









